Berkeley DB version 4.4.20

## com.sleepycat.db
Class CacheStats

    java.lang.Object
      com.sleepycat.db.CacheStats

public class CacheStats
extends Object

Cache statistics for a database environment.

Method Summary
`int` `getAlloc()` Number of page allocations.
`int` `getAllocBuckets()` Number of hash buckets checked during allocation.
`int` `getAllocMaxBuckets()` Maximum number of hash buckets checked during an allocation.
`int` `getAllocMaxPages()` Maximum number of pages checked during an allocation.
`int` `getAllocPages()` Number of pages checked during allocation.
`int` `getBytes()` Bytes of cache (total cache size is st_gbytes + st_bytes).
`int` `getCacheHit()` Requested pages found in the cache.
`int` `getCacheMiss()` Requested pages not found in the cache.
`int` `getGbytes()` Gigabytes of cache (total cache size is st_gbytes + st_bytes).
`int` `getHashBuckets()` Number of hash buckets in buffer hash table.
`int` `getHashExamined()` Total number of hash elements traversed during hash table lookups.
`int` `getHashLongest()` The longest chain ever encountered in buffer hash table lookups.
`int` `getHashMaxWait()` The maximum number of times any hash bucket lock was waited for by a thread of control.
`int` `getHashNowait()` The number of times that a thread of control was able to obtain a hash bucket lock without waiting.
`int` `getHashSearches()` Total number of buffer hash table lookups.
`int` `getHashWait()` The number of times that a thread of control was forced to wait before obtaining a hash bucket lock.
`int` `getMap()` Requested pages mapped into the process' address space (there is no available information about whether or not this request caused disk I/O, although examining the application page fault rate may be helpful).
`int` `getMaxOpenfd()` Maximum number of open file descriptors.
`int` `getMaxWrite()` The maximum number of sequential write operations scheduled by the library when flushing dirty pages from the cache.
`int` `getMaxWriteSleep()` The number of microseconds the thread of control should pause before scheduling further write operations.
`int` `getMmapSize()` Maximum file size for mmap.
`int` `getNumCache()` Number of caches.
`int` `getPageClean()` Clean pages currently in the cache.
`int` `getPageCreate()` Pages created in the cache.
`int` `getPageDirty()` Dirty pages currently in the cache.
`int` `getPageIn()` Pages read into the cache.
`int` `getPageOut()` Pages written from the cache to the backing file.
`int` `getPages()` Pages in the cache.
`int` `getPageTrickle()` Dirty pages written using `Environment.trickleCacheWrite`.
`int` `getRegionNowait()` The number of times that a thread of control was able to obtain a region lock without waiting.
`int` `getRegionWait()` The number of times that a thread of control was forced to wait before obtaining a region lock.
`int` `getRegSize()` Individual cache size.
`int` `getRoEvict()` Clean pages forced from the cache.
`int` `getRwEvict()` Dirty pages forced from the cache.
`String` `toString()` For convenience, the CacheStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getGbytes

    public int getGbytes()

  Gigabytes of cache (total cache size is st_gbytes + st_bytes).

### getBytes

    public int getBytes()

  Bytes of cache (total cache size is st_gbytes + st_bytes).

### getNumCache

    public int getNumCache()

  Number of caches.

### getRegSize

    public int getRegSize()

  Individual cache size.

### getMap

    public int getMap()

  Requested pages mapped into the process' address space (there is no available information about whether or not this request caused disk I/O, although examining the application page fault rate may be helpful).

### getMmapSize

    public int getMmapSize()

  Maximum file size for mmap.

### getMaxOpenfd

    public int getMaxOpenfd()

  Maximum number of open file descriptors.

### getMaxWrite

    public int getMaxWrite()

  The maximum number of sequential write operations scheduled by the library when flushing dirty pages from the cache.

### getMaxWriteSleep

    public int getMaxWriteSleep()

  The number of microseconds the thread of control should pause before scheduling further write operations.

### getCacheHit

    public int getCacheHit()

  Requested pages found in the cache.

### getCacheMiss

    public int getCacheMiss()

  Requested pages not found in the cache.

### getPageCreate

    public int getPageCreate()

  Pages created in the cache.

### getPageIn

    public int getPageIn()

  Pages read into the cache.

### getPageOut

    public int getPageOut()

  Pages written from the cache to the backing file.

### getRoEvict

    public int getRoEvict()

  Clean pages forced from the cache.

### getRwEvict

    public int getRwEvict()

  Dirty pages forced from the cache.

### getPageTrickle

    public int getPageTrickle()

  Dirty pages written using `Environment.trickleCacheWrite`.

### getPages

    public int getPages()

  Pages in the cache.

### getPageClean

    public int getPageClean()

  Clean pages currently in the cache.

### getPageDirty

    public int getPageDirty()

  Dirty pages currently in the cache.

### getHashBuckets

    public int getHashBuckets()

  Number of hash buckets in buffer hash table.

### getHashSearches

    public int getHashSearches()

  Total number of buffer hash table lookups.

### getHashLongest

    public int getHashLongest()

  The longest chain ever encountered in buffer hash table lookups.

### getHashExamined

    public int getHashExamined()

  Total number of hash elements traversed during hash table lookups.

### getHashNowait

    public int getHashNowait()

  The number of times that a thread of control was able to obtain a hash bucket lock without waiting.

### getHashWait

    public int getHashWait()

  The number of times that a thread of control was forced to wait before obtaining a hash bucket lock.

### getHashMaxWait

    public int getHashMaxWait()

  The maximum number of times any hash bucket lock was waited for by a thread of control.

### getRegionNowait

    public int getRegionNowait()

  The number of times that a thread of control was able to obtain a region lock without waiting.

### getRegionWait

    public int getRegionWait()

  The number of times that a thread of control was forced to wait before obtaining a region lock.

### getAlloc

    public int getAlloc()

  Number of page allocations.

### getAllocBuckets

    public int getAllocBuckets()

  Number of hash buckets checked during allocation.

### getAllocMaxBuckets

    public int getAllocMaxBuckets()

  Maximum number of hash buckets checked during an allocation.

### getAllocPages

    public int getAllocPages()

  Number of pages checked during allocation.

### getAllocMaxPages

    public int getAllocMaxPages()

  Maximum number of pages checked during an allocation.

### toString

    public String toString()

  For convenience, the CacheStats class has a toString method that lists all the data fields.

Berkeley DB version 4.4.20

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.